
import java.io.StringWriter;
import java.io.Writer;

import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;
import org.apache.velocity.app.Velocity;

public class ContextChaining {

  public static void main(String[] args) throws Exception {
    Velocity.init();

    Template template = Velocity.getTemplate("./src/ContextChaining.vm");

    VelocityContext context1 = new VelocityContext();
    VelocityContext context2 = new VelocityContext(context1);

    context1.put("firstName", "Joe");
    context2.put("lastName", "Yin");

    Writer writer = new StringWriter();
    template.merge(context2, writer);

    System.out.println(writer.toString());
  }
}